Subject: RE: (ION) widest acceptable prefix

From: "Fox, Barbara" <[email-masked]>
Date: Thu, 15 Oct 1998 12:39:32 -0400

I don't think so.  I believe that means we want interpretation (1).  By
specifying the prefix length in the CIE, you're asking how to get to a
particular subnet.  Providing a reply that is more specific than the
request (more bits of prefix), gave you an answer to a question you
didn't ask.  "How do I get to xx.xx.xx.xx/24?" "To get to xx.xx.xx.xx/31, 
go here".

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Thursday, October 15, 1998 10:29 AM
> To:	'Albert Manfredi'
> Cc:	[email-masked]'
> Subject:	RE: (ION) widest acceptable prefix
> 
> I think that with interpretation (1) a request with prefix length 24
> means that the longest (widest) acceptable prefix length in the reply is
> 24, so the reply prefix length must be <= 24).
> That stops the shortcut from getting too close to the destination host.
> After all, the destination host has reply prefix length = 32 which is
> inconsistent with the request for a reply prefix length <= 24.
> But that doesn't seem to fit the objective of getting as close to the IP
> host as possible.
> 
> On the other hand, with interpretation (2) a request with prefix length
> 24 means that the reply prefix length must be >= 24, so the resulting
> shortcut will be guaranteed to get pretty close to the destination host
> -probably at least to a machine on the right subnet.
> 
> So do we actually want interpretation (2) ?
> 
> Thanks,
> 
> 	Nick.
> 
> >-----Original Message-----
> >From:	Albert Manfredi [SMTP:[email-masked]]
> >Sent:	Thursday, October 15, 1998 2:53 PM
> >To:	Nick Weeds; [email-masked]'
> >Subject:	Re: (ION) widest acceptable prefix
> >
> >
> >-----Original Message-----
> >From: Nick Weeds <[email-masked]>
> >To: [email-masked]' <[email-masked]>
> >Date: Thursday, October 15, 1998 8:02 AM
> >Subject: (ION) widest acceptable prefix
> >
> >
> >>RFC 2332 section 5.2.1 says that the prefix length in an NHRP
> >Resolution
> >>Request "may be used to qualify the widest acceptable prefix length
> >>which may be used to satisfy the NHRP Resolution Request".
> >>
> >>What is meant by "widest" here ?
> >>Is it
> >>(1) the longest (widest) prefix length in bits, matching the
> >smallest
> >>range of IP addresses
> >>(2) the shortest prefix length in bits, matching the largest
> >(widest)
> >>range of IP addresses ?
> >>
> >>If (1) then the prefix length in an NHRP Resolution Request can be
> >used
> >>to request the next hop to a subnet rather than a host.
> >>
> >>If (2) then the prefix length in an NHRP Resolution Request can be
> >used
> >>to request the next hop to a host rather than a subnet.
> >>
> >>Which interpretation is correct ?
> >
> >
> >I think #1, if I understand it correctly. You're looking for the
> >shortcut that gets you as close to the IP host as possible. So I
> >suppose you call that "the smallest range of IP addresses?"
> >
> >The goal here is to try to prevent loops, so clearly that means
> >bypassing as many IP routers as possible. Although proof that this
> >avoids loop is explicitly not provided in the RFC.
> >
> >Bert
> >[email-masked]
> >
> >
> X-Info: To unsubscribe, email [email-masked]' with
> X-Info: 'unsubscribe ion' in the body of the message.
X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe ion' in the body of the message.

---

From: Joel Halpern <[email-masked]>
Date: Mon, 19 Oct 1998 04:04:27 -0400 (EDT)

Sorry, I got lost in the (1)s and (2)s.  The intend was:

If you request an answer of length x, you will never get an answer shorter
than length x.

This is not so much for the originator  (he is probably only willing to
accept /32, or willing to accept anything), but for the progression.  It
is important that the match only get lengthened as it goes from router to
router.  If the mask got shortened, it could produce incorrect overlapping
resolutions.

Yours,
Joel M. Halpern                         [email-masked]
Newbridge Networks Inc.